Package helma.scripting.rhino

# Class JSONModuleSource

java.lang.Object
org.mozilla.javascript.commonjs.module.provider.ModuleSource
helma.scripting.rhino.JSONModuleSource

All Implemented Interfaces:
  `Serializable`

public class JSONModuleSource extends org.mozilla.javascript.commonjs.module.provider.ModuleSource

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`JSONModuleSource(Object securityDomain, URI uri, URI base, Object validator)`

## Method Summary

Modifier and Type
Method
Description
`Reader`
`getReader()`

### Methods inherited from class org.mozilla.javascript.commonjs.module.provider.ModuleSource

`getBase, getSecurityDomain, getUri, getValidator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JSONModuleSource

public JSONModuleSource(Object securityDomain, URI uri, URI base, Object validator)

## Method Details

### getReader

public Reader getReader()

Overrides:
  `getReader` in class `org.mozilla.javascript.commonjs.module.provider.ModuleSource`